package com.webchat.domain.vo.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 程序员王七七 https://www.coderutil.com 网站作者
 * @date 2024/11/6 22:54
 */
@Data
public class UploadResultVO {

    @ApiModelProperty("资源链接")
    private String url;

    @ApiModelProperty("资源名称")
    private String name;

    @ApiModelProperty("上传资源类型")
    private String type;

    public static UploadResultVO of(String url, String type, String name) {
        UploadResultVO uploadResultVO = new UploadResultVO();
        uploadResultVO.setUrl(url);
        uploadResultVO.setType(type);
        uploadResultVO.setName(name);
        return uploadResultVO;
    }
}
